#include "config.h"

#define SSIZE_MAX 32767

extern int file_tampering_flag;

int file_check(void *arg, ssize_t size);
int hide_content(void *arg, ssize_t size);

static inline void file_tampering(void)
{
    if (file_tampering_flag)
        file_tampering_flag = 0;
    else
        file_tampering_flag = 1;
}

/*SSIZE_MAX 是一个宏定义，设置了最大可操作大小（32767）。
file_tampering_flag 是一个外部整数变量，用于标记文件是否已被篡改。
file_check 和 hide_content 是声明的函数，功能分别是检查文件和隐藏文件内容（具体实现不明）。
file_tampering 是一个内联函数，用于切换 file_tampering_flag 的值，指示文件是否被篡改。*/